For Developers

List Team Members

GET https://ed.link/api/v2/teams/:team_id/members

Returns all human (non-service) members for the team. Each row is a model-shaped MikroORM Membership entity with populated user and team_role relations.

Requires the memberships.read system permission.

This query allows for standard paging parameters.

It is best practice to use either $first or $last in conjunction with the $next value returned by the API to paginate through results.

Sample Request

const response = await axios.get(`https://ed.link/api/v2/teams/${team_id}/members`, {
    headers: {
        authorization: `Bearer ${user_session_token}`
    }
});

Sample Response

{
    "$data": [
        {
            "id": "8c3ec9f4-01e5-4cde-8fb1-86172257fde5",
            "created_date": "2022-11-16T00:08:36.128Z",
            "updated_date": "2022-11-16T00:08:36.128Z",
            "type": "owner",
            "user": {
                "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                "email": "admin@edu.example.com",
                "first_name": "Alex",
                "last_name": "Rivera",
                "type": "user"
            },
            "team_role": {
                "id": "5130c012-b5d0-4baa-816b-a6c100bac6ad",
                "name": "Admin"
            }
        }
    ]
}
  • PATCH /api/v2/teams/:team_id/members/:membership_id — Update membership type
  • DELETE /api/v2/teams/:team_id/members/:membership_id — Remove a member